#define MAX_ARGS	80	/* English alphabets + numbers + pattern + progname + arguments + extras */
#define MAXFILEOPT	1024	/* includes length of args too: #args is <= MAX_ARGS */
#define BLOCKSIZE	8192	/* For compression: what is the optimal unit of disk i/o = n * pagesize */

/*
 * These are some parameters that allow us to switch between offset computation
 * and just index computation when the index is built at a byte-level: since
 * offset computation is a waste if we can't narrow down search enough (since
 * we must look all over and the lists become too long => bottleneck). Even
 * if we narrow down the search too much, agrep on a few files is faster.
 */

#define MAX_DISPARITY	100	/* if least frequent word occurrs in < 1/100 times most frequent word, resort to agrep: don't intersect lists (byte-level) */
#define MIN_OCCURRENCES	20	/* If the least frequent word occurs in < 20 places, resort to agrep: don't intersect lists */
#define MAX_UNION	500	/* Don't even perform the Union of offsets if least < 1/500 times most freq word */
#define MAX_ABSOLUTE	100	/* ^^^^ if word occurs in more than 100 times per file on average (too slow to stat them and find sizes as in glimpseindex) */
